Custom Query (2449 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (322 - 324 of 2449)

Ticket Resolution Summary Owner Reporter
#3598 Fixed deluge-2.1.1: Migration to Ayatana indicators is not complete pacho2
Description

I was wondering about why legacy trayicon was being used on my system. Looking at deluge/ui/gtk3/systemtray.py it seems new AyatanaAppIndicator3 is properly loaded, but the option to use indicator instead of legacy icon is not shown in Preferences.

This is because Preferences is still trying to load the old appindicators implementation:

try:

require_version('AppIndicator3', '0.1') from gi.repository import AppIndicator3 # noqa: F401

except (ImportError?, ValueError?):

appindicator = False

else:

appindicator = True

at deluge/ui/gtk3/preferences.py

Thanks

#3600 Fixed Fail to run using python 3.11 th0ma7
Description

Maintainer of the SynoCommunity? deluge package. Currently runs really well using version 2.1.1 on python 3.10. Tried updating to python 3.11 but got the following error:

th0ma7@th0ma7-nas:/var/packages/deluge/var$ cat deluge.log 
Sat May 13 09:58:18 EDT 2023
Starting deluge command /volume1/@appstore/deluge/env/bin/deluged -c /volume1/@appdata/deluge  -l /volume1/@appdata/deluge/logs/deluged.log -L info --logrotate -P /volume1/@appdata/deluge/logs/deluged.pid -d
Starting deluge command /volume1/@appstore/deluge/env/bin/deluge-web -c /volume1/@appdata/deluge  -l /volume1/@appdata/deluge/logs/deluge-web.log -L info --logrotate -P /volume1/@appdata/deluge/logs/deluge-web.pid -d
Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 21, in <module>
    import deluge.libtorrent as lt
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/bin/deluged", line 8, in <module>
    sys.exit(start_daemon())
             ^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/core/daemon_entry.py", line 81, in start_daemon
    parser = ArgParserBase()
             ^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 178, in __init__
    version='%(prog)s ' + _get_version_detail(),
                          ^^^^^^^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 89, in _get_version_detail
    from deluge._libtorrent import LT_VERSION
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 24, in <module>
    import libtorrent as lt
SystemError: type Boost.Python.enum has the Py_TPFLAGS_HAVE_GC flag but has no traverse function
Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 21, in <module>
    import deluge.libtorrent as lt
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/bin/deluge-web", line 8, in <module>
    sys.exit(start())
             ^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/ui/web/__init__.py", line 5, in start
    web = Web()
          ^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/ui/web/web.py", line 24, in __init__
    super().__init__(
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/ui/ui.py", line 40, in __init__
    self.__parser = ArgParserBase(**kwargs)
                    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 178, in __init__
    version='%(prog)s ' + _get_version_detail(),
                          ^^^^^^^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 89, in _get_version_detail
    from deluge._libtorrent import LT_VERSION
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 24, in <module>
    import libtorrent as lt
SystemError: type Boost.Python.enum has the Py_TPFLAGS_HAVE_GC flag but has no traverse function

#3604 Fixed Fix log level tweaks from logging.conf seblu
Description

When you set a config directory path (-c) on the command line, and only when, a file named logging.conf is read to set fine grained log levels. This allows to have per module/plugin log levels.

The file is parsed and the log levels are set in the deluge.log.tweak_logging_levels. This function set the appropriate logger to the desired level. Despite the log level is changed, log levels less than ERROR are still not logged.

The reason is that the log level check is done twice, in the logging.Logger class and in the logging.Handler class.

Fix proposed: https://github.com/deluge-torrent/deluge/pull/428

Note: See TracQuery for help on using queries.